/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package unit

import (
	e "simrs-vx/internal/domain/main-entities/unit"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Unit) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Installation_Code = inputSrc.Installation_Code
	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
}
